deleteUser
POST
/delete-user
const url = 'https://gymgym.club/api/auth/delete-user';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"callbackURL":"example","password":"example","token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gymgym.club/api/auth/delete-user \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "callbackURL": "example", "password": "example", "token": "example" }'Delete the user
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
callbackURL
The callback URL to redirect to after the user is deleted
string
password
The user’s password. Required if session is not fresh
string
token
The deletion verification token
string
Examplegenerated
{ "callbackURL": "example", "password": "example", "token": "example"}Responses
Section titled “Responses”User deletion processed successfully
Media typeapplication/json
object
success
required
Indicates if the operation was successful
boolean
message
required
Status message of the deletion process
string
Example
{ "message": "User deleted"}Bad Request. Usually due to missing parameters, or invalid parameters.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}